Bug 927250 - (CVE-2013-1834) CVE-2013-1834 moodle: Form manipulation issue in notes (MSA-13-0017)
CVE-2013-1834 moodle: Form manipulation issue in notes (MSA-13-0017)
Status: CLOSED ERRATA
Product: Security Response
Classification: Other
Component: vulnerability (Show other bugs)
unspecified
All Linux
low Severity low
: ---
: ---
Assigned To: Red Hat Product Security
impact=low,public=20130325,reported=2...
: Security
Depends On: 927280 927264 927267 927273
Blocks:
  Show dependency treegraph
 
Reported: 2013-03-25 09:42 EDT by Jan Lieskovsky
Modified: 2015-08-22 03:05 EDT (History)
1 user (show)

See Also:
Fixed In Version: moodle-2.4.2, moodle-2.3.5, moodle-2.2.8
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2015-08-22 03:05:18 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Jan Lieskovsky 2013-03-25 09:42:29 EDT
A security flaw was found in the way Moodle, a course management system, performed notes editation (it was possible to assign a note to a different user during note editation). A remote attacker (valid Moodle user) could use this flaw to in an unauthorized way alter edit notes form content, leading to their ability to assign note to selected user.

References:
[1] http://www.openwall.com/lists/oss-security/2013/03/25/2

Relevant upstream patch:
[2] http://git.moodle.org/gw?p=moodle.git;a=commit;h=6a9235c998dab2ec0ddc49898a59dd5089156cb0
Comment 1 Jan Lieskovsky 2013-03-25 09:59:17 EDT
This issue affects the versions of the moodle package, as shipped with Fedora release of 18, 17, Fedora EPEL-6 and Fedora EPEL-5. Please schedule an update.
Comment 2 Jan Lieskovsky 2013-03-25 10:17:24 EDT
Created moodle tracking bugs for this issue

Affects: fedora-18 [bug 927264]
Comment 3 Jan Lieskovsky 2013-03-25 10:25:44 EDT
Created moodle tracking bugs for this issue

Affects: fedora-17 [bug 927267]
Comment 4 Jan Lieskovsky 2013-03-25 10:36:45 EDT
Created moodle tracking bugs for this issue

Affects: epel-6 [bug 927273]
Comment 5 Jan Lieskovsky 2013-03-25 10:41:26 EDT
Created moodle tracking bugs for this issue

Affects: epel-5 [bug 927280]

Note You need to log in before you can comment on or make changes to this bug.